Firefox non fa partire video tiktok

6 risposte [Ultimo messaggio]
Ritratto di M0r068
M0r068
(Monster)
Offline
Monster
Iscritto: 21/07/2009
Messaggi: 202

Ciao a tutti, come da titolo: Firefox non riproduce video su Tiktok. Vedo l'immagine del video ma non parte. Non so davvero come fare, uso OSuse 15.4 Leap. Per il resto il browser si comporta egregiamente, ma questo problema non so come risolverlo. Grazie dell'attenzione.

Ritratto di CarloCC
CarloCC
(Monster)
Offline
Monster
Iscritto: 06/04/2017
Messaggi: 435

Immagino sia un problema di codecs, li hai installati ? Oppure puoi provare altri browser, di solito Chrome ha codecs suoi, per cui non dovresti avere problemi con esso.

Acer Aspire E1-522 Amd Quad-Core E2-3800--Amd Radeon 8280
Acer Aspire M5500 Intel Quad-Core - Amd Radeon R5 230
Distribuzione openSUSE Leap 15 Kde Plasma5 - Tumbleweed

Ritratto di M0r068
M0r068
(Monster)
Offline
Monster
Iscritto: 21/07/2009
Messaggi: 202

GRazie della risposta! Certo i codecs li ho, ed uso Opera in sostituzione. Solo che mi chiedevo se per caso ci fossero dei problemi di Firefox che non conosco. Grazie Mille

Ritratto di CarloCC
CarloCC
(Monster)
Offline
Monster
Iscritto: 06/04/2017
Messaggi: 435

Forse non li hai tutti ? Inoltre tieni presente che su FF il DRM va abilitato dalle impostazione, tuttavia se un video lo richiede dovrebbe uscirti un popup per abilitarlo, inoltre mi sembra che FF ha l'auto player disabilitato, quindi occorre avviare sempre manualmente il video (impostazione che si può cambiare).
Essendo i video su TikTok banali video html5 non dovresti avere problemi.
Come hai installato i codecs ?

Acer Aspire E1-522 Amd Quad-Core E2-3800--Amd Radeon 8280
Acer Aspire M5500 Intel Quad-Core - Amd Radeon R5 230
Distribuzione openSUSE Leap 15 Kde Plasma5 - Tumbleweed

Ritratto di M0r068
M0r068
(Monster)
Offline
Monster
Iscritto: 21/07/2009
Messaggi: 202

Ciao, scusa il ritardo. Mah, i codec li ho installati a mano, quelli che mi ricordo tutte le volte che aggiorno OSuse. Devo dire che ci ho guardato se trovavo qualcosa di non installato in Yast, ma mi pare ci siano tutti i necessari. Grazie della risposta.

Ritratto di CarloCC
CarloCC
(Monster)
Offline
Monster
Iscritto: 06/04/2017
Messaggi: 435

Non saprei dirti, ho controllato e a me funzionano senza problemi, sia in Firefox che in Chrome.
Occorrono i codecs dal repository packman e non quelli dei repository di openSUSE, in quanto quelli di openSUSE per motivi legali sono svuotati della parte di codice che hanno una licenza restrittiva.
Per cui occorre abilitare il repository packman e poi modificare il fornitore, per semplificare le cose
sudo zypper in opi
questo per installare opi
poi dai senza privilegi (no sudo, no su)
opi codecs
accetta la richiesta di aggiungere packman e accetta le successive richieste,tra cui anche la richiesta della tua password, al termine dovresti avere tutti codecs corretti installati.

Acer Aspire E1-522 Amd Quad-Core E2-3800--Amd Radeon 8280
Acer Aspire M5500 Intel Quad-Core - Amd Radeon R5 230
Distribuzione openSUSE Leap 15 Kde Plasma5 - Tumbleweed

Ritratto di M0r068
M0r068
(Monster)
Offline
Monster
Iscritto: 21/07/2009
Messaggi: 202

Ciao. Grazie mille, prezioso e puntuale come sempre! Riferirò se ci sono miglioramenti! Ciao.